com.google.gwt.i18n.client

## Class BidiUtils

- java.lang.Object
- - com.google.gwt.i18n.client.BidiUtils

-     public class BidiUtils
      extends java.lang.Object

  A set of bidi-related utility methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DIR_PROPERTY_NAME` The name of the element property which controls element directionality.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BidiUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HasDirection.Direction` | `getDirectionOnElement(Element elem)` Gets the directionality of an element.
    `static void` | `setDirectionOnElement(Element elem, HasDirection.Direction direction)` Sets the directionality property for an element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIR_PROPERTY_NAME

          public static final java.lang.String DIR_PROPERTY_NAME

      The name of the element property which controls element directionality.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BidiUtils

          public BidiUtils()

  - ### Method Detail

    - #### getDirectionOnElement

          public static HasDirection.Direction getDirectionOnElement(Element elem)

      Gets the directionality of an element.
      Parameters:
        `elem` - the element on which to check the directionality property
      Returns:
        `RTL` if the directionality is right-to-left, `LTR` if the directionality is left-to-right, or `DEFAULT` if the directionality is not explicitly set

    - #### setDirectionOnElement

          public static void setDirectionOnElement(Element elem,
                                                   HasDirection.Direction direction)

      Sets the directionality property for an element.
      Parameters:
        `elem` - the element on which to set the property
        `direction` - `RTL` if the directionality should be set to right-to-left, `LTR` if the directionality should be set to left-to-right `DEFAULT` if the directionality should be removed from the element